# Get Quote GET https://api-gateway-stg.transak.com/api/v2/lookup/quotes The **Get Quote** is a **public API call** that allows you to fetch a **temporary price quote** for a cryptocurrency transaction based on the selected **fiat currency, cryptocurrency, payment method, and transaction amount**. Since cryptocurrency prices are **volatile**, the returned quote is refreshed **every minute** to reflect the latest market price. After fetching the **supported cryptocurrencies and fiat currencies**, you must call getQuote to get the latest exchange rate. This quote is **critical** for KYC verification and order placement: **KYC Process:** - The **quote ID** must be passed when calling `Get KYC Requirement` . - Based on the **order amount**, the user may be required to complete different KYC tiers (**Simple KYC, Standard KYC**). **Order Placement:** - The **quote ID** is also required when calling `createOrder()` - At the time of payment settlement, Transak sends the **exact amount of cryptocurrency** based on the latest exchange rate at that moment. Thus, `getQuote` plays a **vital role** in the **entire order flow**, from **KYC verification to order execution**. Additional Postman request: Get KYC Reliance Quote Reference: https://docs.transak.com/api/whitelabel/lookup/get-quote ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: whitelabel-api version: 1.0.0 paths: /api/v2/lookup/quotes: get: operationId: get-quote summary: Get Quote description: >- The **Get Quote** is a **public API call** that allows you to fetch a **temporary price quote** for a cryptocurrency transaction based on the selected **fiat currency, cryptocurrency, payment method, and transaction amount**. Since cryptocurrency prices are **volatile**, the returned quote is refreshed **every minute** to reflect the latest market price. After fetching the **supported cryptocurrencies and fiat currencies**, you must call getQuote to get the latest exchange rate. This quote is **critical** for KYC verification and order placement: **KYC Process:** - The **quote ID** must be passed when calling `Get KYC Requirement` . - Based on the **order amount**, the user may be required to complete different KYC tiers (**Simple KYC, Standard KYC**). **Order Placement:** - The **quote ID** is also required when calling `createOrder()` - At the time of payment settlement, Transak sends the **exact amount of cryptocurrency** based on the latest exchange rate at that moment. Thus, `getQuote` plays a **vital role** in the **entire order flow**, from **KYC verification to order execution**. Additional Postman request: Get KYC Reliance Quote tags: - subpackage_lookUp parameters: - name: apiKey in: query description: >- Your Api Key which you can get it from Transak Partner Dashboard for respective environment required: true schema: type: string default: YOUR_API_KEY - name: fiatCurrency in: query description: >- Supported fiat currency symbol from `/fiat/public/v1/currencies/fiat-currencies` required: true schema: type: string default: EUR - name: cryptoCurrency in: query description: >- Supported crypto currency symbol from `/cryptocoverage/api/v1/public/crypto-currencies` required: true schema: type: string default: USDC - name: isBuyOrSell in: query description: Value should be 'BUY' required: true schema: type: string default: BUY - name: network in: query description: >- Supported crypto currency network from `/cryptocoverage/api/v1/public/crypto-currencies` required: true schema: type: string default: ethereum - name: paymentMethod in: query description: >- Supported payment method from `/fiat/public/v1/currencies/fiat-currencies` required: true schema: type: string default: pm_open_banking - name: fiatAmount in: query description: Amount in fiat currency required: true schema: type: number format: double default: 50 - name: cryptoAmount in: query description: Amount in crypto currency required: true schema: type: number format: double default: 55.24 - name: partnerCustomerId in: query description: Unique id for user provided by partner required: false schema: type: string default: '12345' responses: '200': description: 200 - Success content: application/json: schema: $ref: '#/components/schemas/LookUp_get-quote_Response_200' '400': description: 400 - Invalid Payment Method content: application/json: schema: $ref: '#/components/schemas/Get-quoteRequestBadRequestError' '401': description: 401 - Unauthorized content: application/json: schema: $ref: '#/components/schemas/Get-quoteRequestUnauthorizedError' '500': description: 500 - Internal Server Error content: application/json: schema: $ref: '#/components/schemas/Get-quoteRequestInternalServerError' servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaDataFeeBreakdownItems: type: object properties: name: type: string value: type: integer id: type: string required: - name - value - id title: >- ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaDataFeeBreakdownItems ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaData: type: object properties: feeBreakdown: type: array items: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaDataFeeBreakdownItems quoteId: type: string conversionPrice: type: number format: double slippage: type: number format: double fiatCurrency: type: string cryptoCurrency: type: string paymentMethod: type: string fiatAmount: type: integer cryptoAmount: type: number format: double isBuyOrSell: type: string network: type: string networkId: type: string feeDecimal: type: number format: double totalFee: type: integer nonce: type: integer required: - feeBreakdown - quoteId - conversionPrice - slippage - fiatCurrency - cryptoCurrency - paymentMethod - fiatAmount - cryptoAmount - isBuyOrSell - network - networkId - feeDecimal - totalFee - nonce title: ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaData LookUp_get-quote_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaData required: - data title: LookUp_get-quote_Response_200 ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer name: type: string message: type: string required: - statusCode - name - message title: ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError Get-quoteRequestBadRequestError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-quoteRequestBadRequestError Get-quoteRequestUnauthorizedError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-quoteRequestUnauthorizedError Get-quoteRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-quoteRequestInternalServerError ``` ## SDK Code Examples ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/lookup/quotes" querystring = {"apiKey":"YOUR_API_KEY","fiatCurrency":"EUR","cryptoCurrency":"USDC","isBuyOrSell":"BUY","network":"ethereum","paymentMethod":"pm_open_banking","fiatAmount":"50","cryptoAmount":"55.24","partnerCustomerId":"12345"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345") .asString(); ``` ```php Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345'); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```